## org.eclipse.emf.ecore.xmi.impl
Class XMLHandler.MyEObjectStack

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              org.eclipse.emf.common.util.AbstractEList<E>
                  org.eclipse.emf.common.util.BasicEList<E>
                      org.eclipse.emf.ecore.xmi.impl.XMLHandler.MyStack<EObject>
                          org.eclipse.emf.ecore.xmi.impl.XMLHandler.MyEObjectStack

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<EObject>, java.util.Collection<EObject>, java.util.List<EObject>, java.util.RandomAccess, EList<EObject>

Enclosing class:
  XMLHandler

    protected static class XMLHandler.MyEObjectStack

extends XMLHandler.MyStack<EObject>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicEList
`BasicEList.BasicIndexOutOfBoundsException, BasicEList.EIterator<E1>, BasicEList.EListIterator<E1>, BasicEList.FastCompare<E>, BasicEList.NonResolvingEIterator<E1>, BasicEList.NonResolvingEListIterator<E1>, BasicEList.UnmodifiableEList<E>`

Field Summary
`protected EObject[]` `eObjectData`

Fields inherited from class org.eclipse.emf.common.util.BasicEList
`data, size`

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`XMLHandler.MyEObjectStack()`

Method Summary
`void` `clear()` Clears the list of all objects.
`protected java.lang.Object[]` `newData(int capacity)` Returns new allocated data storage.
`EObject` `peekEObject()`
`EObject` `popEObject()`

Methods inherited from class org.eclipse.emf.ecore.xmi.impl.XMLHandler.MyStack
`peek, pop, push`

Methods inherited from class org.eclipse.emf.common.util.BasicEList
`addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, assign, basicGet, basicList, clone, contains, data, get, grow, indexOf, isEmpty, lastIndexOf, move, primitiveGet, remove, setData, setUnique, shrink, size, toArray, toArray`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList
`add, add, addAll, addAll, basicIterator, basicListIterator, basicListIterator, canContainNull, didAdd, didChange, didClear, didMove, didRemove, didSet, equalObjects, equals, getDuplicates, getNonDuplicates, hashCode, isUnique, iterator, listIterator, listIterator, move, remove, removeAll, resolve, retainAll, set, toString, useEquals, validate`

Methods inherited from class java.util.AbstractList
`removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, subList`

Field Detail

### eObjectData

    protected EObject[] eObjectData

Constructor Detail

### XMLHandler.MyEObjectStack

    public XMLHandler.MyEObjectStack()

Method Detail

### newData

    protected final java.lang.Object[] newData(int capacity)

  Description copied from class: `BasicEList`
  Returns new allocated data storage. Clients may override this to create typed storage. The cost of type checking via a typed array is negligible.

  Overrides:
    `newData` in class `BasicEList<EObject>`
  Returns:
    new data storage.

### peekEObject

    public final EObject peekEObject()

### popEObject

    public final EObject popEObject()

### clear

    public void clear()

  Description copied from class: `BasicEList`
  Clears the list of all objects. This implementation discards the data storage without modifying it and delegates to `didClear` and `didChange`.

  Specified by:
    `clear` in interface `java.util.Collection<EObject>`
  Specified by:
    `clear` in interface `java.util.List<EObject>`
  Overrides:
    `clear` in class `BasicEList<EObject>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.